Bug 147292 - chart data point hover tip broken in gtk3 VCL UI
Summary: chart data point hover tip broken in gtk3 VCL UI
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.5.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-08 16:59 UTC by Erich E. Hoover
Modified: 2022-03-08 20:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erich E. Hoover 2022-02-08 16:59:22 UTC
Description:
When you hover over a data point in the chart it is supposed to display the value of the data point in a "hover tip".  This feature appears to be broken in the gtk3 VCL UI, as no "hover tip" is displayed.  It appears that people have been experiencing this issue for a while, but nobody has reported a bug:
https://ask.libreoffice.org/t/graph-point-value-when-mouse-hover/53155/12

Steps to Reproduce:
1. Launch libreoffice with the GTK3 backend (SAL_USE_VCLPLUGIN=gtk3 libreoffice)
2. Create a chart with data points
3. Double click to edit the chart (or choose Edit -> Object -> Edit from the menu)
4. Hover your mouse over a data point

Actual Results:
No "hover tip" is displayed.

Expected Results:
A "hover tip" giving the values of the data points should appear


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Please note that the gtk3 VCL UI is the default for many Linux systems (such as Debain/Ubuntu).  If you launch with the generic VCL UI (SAL_USE_VCLPLUGIN=gen libreoffice) on such a system then you can see the expected behavior.

Version: 7.2.5.2 / LibreOffice Community
Build ID: 20(Build:2)
CPU threads: 12; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Ubuntu package version: 1:7.2.5~rc2-0ubuntu0.18.04.1~lo1
Calc: threaded
Comment 1 raal 2022-02-23 14:43:04 UTC
Confirm with Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 0723b41bed9bb4ad50d2993744a60177966d1a21
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo

Works in VCL gen.
GTK3 issue, adding CC to Caolán.
Comment 2 Caolán McNamara 2022-02-23 15:00:09 UTC
what is sometimes the case for tooltips is that there is no "area" given for the tooltip, only a point, and gtk won't show a tooltip for an empty area
Comment 3 Commit Notification 2022-02-23 18:02:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea1600eb54fac1ac980339535e25cce00f59b711

Resolves: tdf#147292 the area of the tooltip is wrong

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2022-02-23 18:08:20 UTC
done in trunk, backport to 7-3 in gerrit
Comment 5 Commit Notification 2022-02-23 19:49:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/579d7f37018ff2271aafde73bd5d3bd547436cb7

Resolves: tdf#147292 the area of the tooltip is wrong

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Erich E. Hoover 2022-03-08 20:25:05 UTC
(In reply to Commit Notification from comment #5)
> ...
> Affected users are encouraged to test the fix and report feedback.

I can confirm that this is fixed in the dev build, thank you so much!